Tech Tip - Verifying Prerequisites before upgrading/updating/installing eHealth on Solaris/Linux

Document created by kk_sup Employee on Sep 4, 2014Last modified by SamCreek on Dec 17, 2016
Version 2Show Document
  • View in full screen mode

To determine that your system meets the minimum requirements for installing/updating/upgrading CA

eHealth by running the prerequisite checker program before doing so.

 

This lets you make any required adjustments and updates to your system before you run the eHealth installation program.

 

To start the prerequisite check:

 

Navigate to the location where the CA eHealth zip file was extracted.

 

1) Log on as root.

 

2) Make sure the NH_USER environmental variable is set to the eHealth user:

 

NH_USER=<username eHealth will run as> export NH_USER

 

3) Run the nhCheckInstallPreReqs command from the extracted eHealth directory.

 

./nhCheckInstallPreReqs

 

If you do not run this check before installing CA eHealth, you will be alerted to system adjustments and updates during

the CA eHealth installation process which can cause the installation process to stop.

 

Running this ahead of time will ensure your system is prepared for the installation/upgrade/update before doing so.

1 person found this helpful

Attachments

    Outcomes